/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_log.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_LOG_H__
#define __EDIR_LOG_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

extern void
edir_log_line(int level, char *line);

extern void
edir_log(char *fmt, ...);

extern void
edir_log_error(char *fmt, ...);

extern void
edir_log_debug(char *fmt, ...);

extern void
edir_log_setdaemon(char *progName, int isDaemon);

#ifdef WIN32
extern char *
edir_log_fmt_add_error_string(char *fmt, DWORD errn, DWORD last, DWORD wsa);
#else
extern char *
edir_log_fmt_add_error_string(char *fmt, int errornum);
#endif

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_LOG_H__ */
